# Created by pyp2rpm-3.3.3
%global pypi_name pykwalify

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 6
Summary:        Python YAML/JSON schema validation library
Group:          Development/Python
License:        MIT
URL:            https://github.com/grokzen/pykwalify
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(testfixtures)

%description
This framework is a port with a lot of added functionality of the Java version of the
framework kwalify that can be found at http://www.kuwata-lab.com/kwalify/.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This framework is a port with a lot of added functionality of the Java version of the
framework kwalify that can be found at http://www.kuwata-lab.com/kwalify/.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pykwalify


%changelog
* Sun Mar 02 2025 wally <wally> 1.8.0-6.mga10
+ Revision: 2158476
- rebuild for python3.13

* Thu Jan 23 2025 papoteur <papoteur> 1.8.0-5.mga10
+ Revision: 2140709
- disable failing tests

* Tue Dec 19 2023 wally <wally> 1.8.0-4.mga10
+ Revision: 2019305
- use pyproject rpm macros
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Thu Mar 31 2022 umeabot <umeabot> 1.8.0-3.mga9
+ Revision: 1835766
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.8.0-2.mga9
+ Revision: 1782081
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.8.0-1.mga9
+ Revision: 1733814
- new version 1.8.0

* Sat Jun 26 2021 tmb <tmb> 1.7.0-3.mga9
+ Revision: 1733783
- rebuild for python 3.9
+ wally <wally>
- Rebuild for python 3.9
- fix %%doc and %%license files

* Sun Mar 29 2020 wally <wally> 1.7.0-1.mga8
+ Revision: 1562078
- imported package python-pykwalify

